Index: factory/ChangeLog
===================================================================
--- factory/ChangeLog	(revision 13f7b2794703c329b4c6179ef9db9eb16b305824)
+++ factory/ChangeLog	(revision bebd13f12467d52870735cd4cfae940241fef019)
@@ -191,5 +191,5 @@
 Mon May 11 11:36:22 1998  Jens Schmidt  <schmidt@mathematik.uni-kl.de>
 
-	* config.h.in (INT64): unused declarations for MetroWerks removed
+	* config.h.in (FACTORY_INT64): unused declarations for MetroWerks removed
 
 	* imm.cc (imm_mul): wrapped by `#ifdef __MWERKS__'
@@ -229,5 +229,5 @@
 	  be float, hence constant `2' replaced by `2.0'
 
-	* config.h.in (INT64): new typedef for Metroworks compiler
+	* config.h.in (FACTORY_INT64): new typedef for Metroworks compiler
 
 Mon Apr  6 14:06:49 MET DST 1998  Jens Schmidt
@@ -571,5 +571,5 @@
 	  (distfiles): `bin/makeheader.pl' added to distribution
 
-	* config.h.in (INT64): new define
+	* config.h.in (FACTORY_INT64): new define
 
 	* bin/makeheader.pl: new file
@@ -599,5 +599,5 @@
 	  version of factory.h for Windows NT
 
-	* config.h.in: new typedef INT64 for 64 bit integer type of various
+	* config.h.in: new typedef FACTORY_INT64 for 64 bit integer type of various
 	  platforms (currently 'long long int' for gcc and '__int64' for
 	  MS VC++)
@@ -606,9 +606,9 @@
 	  to have prototypes for alloca and memcpy
 
-	* ffops.h: now uses INT64 instead of long long int
-
-	* ffops.cc: now uses INT64 instead of long long int
-
-	* imm.h: now uses INT64 instead of long long int
+	* ffops.h: now uses FACTORY_INT64 instead of long long int
+
+	* ffops.cc: now uses FACTORY_INT64 instead of long long int
+
+	* imm.h: now uses FACTORY_INT64 instead of long long int
 
 	* int_poly.cc: includes strstrea.h instead of strstream.h in the
Index: factory/config.h.in.cmake
===================================================================
--- factory/config.h.in.cmake	(revision 13f7b2794703c329b4c6179ef9db9eb16b305824)
+++ factory/config.h.in.cmake	(revision bebd13f12467d52870735cd4cfae940241fef019)
@@ -85,5 +85,5 @@
 
 /* define type of your compilers 64 bit integer type */
-#define INT64 long long int
+#define FACTORY_INT64 long long int
 
 #cmakedefine HAVE_NTL 1
Index: factory/configure.ac
===================================================================
--- factory/configure.ac	(revision 13f7b2794703c329b4c6179ef9db9eb16b305824)
+++ factory/configure.ac	(revision bebd13f12467d52870735cd4cfae940241fef019)
@@ -107,7 +107,7 @@
   enable_debugoutput=no)
 
-AH_TEMPLATE([INT64], [Defenition for INT64])
+AH_TEMPLATE([FACTORY_INT64], [Defenition for FACTORY_INT64])
 # Always long long int???!
-AC_DEFINE([INT64], [long long int]) 
+AC_DEFINE([FACTORY_INT64], [long long int]) 
 
 DX_INIT_DOXYGEN($PACKAGE_NAME, MYDOXYGENCONFIG)
Index: factory/facAbsBiFact.cc
===================================================================
--- factory/facAbsBiFact.cc	(revision 13f7b2794703c329b4c6179ef9db9eb16b305824)
+++ factory/facAbsBiFact.cc	(revision bebd13f12467d52870735cd4cfae940241fef019)
@@ -416,5 +416,5 @@
     nmod_poly_factor_insert (nmodFactors, FLINTGpi, 1L);
 
-    long * link= new long [2];
+    slong * link= new slong [2];
     fmpz_poly_t *v= new fmpz_poly_t[2];
     fmpz_poly_t *w= new fmpz_poly_t[2];
Index: factory/ffops.h
===================================================================
--- factory/ffops.h	(revision 13f7b2794703c329b4c6179ef9db9eb16b305824)
+++ factory/ffops.h	(revision bebd13f12467d52870735cd4cfae940241fef019)
@@ -12,6 +12,6 @@
 
 /* define type of your compilers 64 bit integer type */
-#ifndef INT64
-#define INT64 long long int
+#ifndef FACTORY_INT64
+#define FACTORY_INT64 long long int
 #endif
 
@@ -77,7 +77,7 @@
 }
 
-inline int ff_bignorm ( const INT64 a )
+inline int ff_bignorm ( const FACTORY_INT64 a )
 {
-    int n = (int)(a % (INT64)ff_prime);
+    int n = (int)(a % (FACTORY_INT64)ff_prime);
 #if defined(i386) || defined(NTL_AVOID_BRANCHING)
     n += (n >> 31) & ff_prime;
@@ -134,5 +134,5 @@
 {
     if ( ff_big )
-        return ff_bignorm( (INT64)a * (INT64)b );
+        return ff_bignorm( (FACTORY_INT64)a * (FACTORY_INT64)b );
     else
         return ff_longnorm ( (long)a * (long)b );
Index: factory/imm.h
===================================================================
--- factory/imm.h	(revision 13f7b2794703c329b4c6179ef9db9eb16b305824)
+++ factory/imm.h	(revision bebd13f12467d52870735cd4cfae940241fef019)
@@ -33,6 +33,6 @@
 
 /* define type of your compilers 64 bit integer type */
-#ifndef INT64
-#define INT64 long long int
+#ifndef FACTORY_INT64
+#define FACTORY_INT64 long long int
 #endif
 
@@ -46,9 +46,9 @@
 
 #if defined(WINNT) && ! defined(__GNUC__)
-const INT64 MINIMMEDIATELL = -268435454i64;
-const INT64 MAXIMMEDIATELL = 268435454i64;
+const FACTORY_INT64 MINIMMEDIATELL = -268435454i64;
+const FACTORY_INT64 MAXIMMEDIATELL = 268435454i64;
 #else
-const INT64 MINIMMEDIATELL = -268435454LL;
-const INT64 MAXIMMEDIATELL = 268435454LL;
+const FACTORY_INT64 MINIMMEDIATELL = -268435454LL;
+const FACTORY_INT64 MAXIMMEDIATELL = 268435454LL;
 #endif
 
@@ -303,22 +303,22 @@
     long b = imm2int( rhs );
     int sa= 1;
-    unsigned INT64 aa, bb;
+    unsigned FACTORY_INT64 aa, bb;
     if (a < 0)
     {
       sa= -1;
-      aa= (unsigned INT64) (-a);
-    }
-    else
-      aa= (unsigned INT64) a;
+      aa= (unsigned FACTORY_INT64) (-a);
+    }
+    else
+      aa= (unsigned FACTORY_INT64) a;
     if (b < 0)
     {
       sa= -sa;
-      bb= (unsigned INT64) (-b);
-    }
-    else
-      bb= (unsigned INT64) b;
-    unsigned INT64 result = aa*bb;
+      bb= (unsigned FACTORY_INT64) (-b);
+    }
+    else
+      bb= (unsigned FACTORY_INT64) b;
+    unsigned FACTORY_INT64 result = aa*bb;
     #if SIZEOF_LONG == 4
-    if (result>(unsigned INT64)MAXIMMEDIATE)
+    if (result>(unsigned FACTORY_INT64)MAXIMMEDIATE)
     {
         InternalCF * res = CFFactory::basic( IntegerDomain, a, true );
@@ -326,5 +326,5 @@
     }
     #else
-    if ( ( a!=0L ) && ((result/aa!=bb) || (result>(unsigned INT64) MAXIMMEDIATE) ))
+    if ( ( a!=0L ) && ((result/aa!=bb) || (result>(unsigned FACTORY_INT64) MAXIMMEDIATE) ))
     {
         InternalCF * res = CFFactory::basic( IntegerDomain, a, true );
